<?php

class QueuedEventsForm extends FormModel
{
  public $timeRange;
  public $startDate;
  public $endDate;
  public $limit;

  public function myAttributeLabels()
  {
    return array(
        'timeRange'=>t('Time range'),
        'startDate'=>t('Start date'),
        'endDate'=>t('End date'),
        'limit'=>t('Limit'),
    );
  }

  public function rules()
  {
    return array(
        array('timeRange, startDate, endDate, limit','required'),
        array('timeRange, startDate, endDate, limit','safe'),
    );
  }

}
